import { ApiFacade } from './facade';
import type Testplane from 'testplane';
import { Express } from 'express';
export interface ServerReadyData {
    url: string;
}
type TestplaneWithGui = Testplane & {
    gui: ApiFacade;
};
export declare class Api {
    private _gui;
    static create<T extends Api>(this: new (testplane: TestplaneWithGui) => T, testplane: TestplaneWithGui): T;
    constructor(testplane: TestplaneWithGui);
    initServer(server: Express): Promise<void>;
    serverReady(data: ServerReadyData): Promise<void>;
}
export {};
